Start a new topic

Version 3.3.1 stopped working

Version 3.3.1 stopped working

Hello People,

We were testing our app just fine (with Titanium of course). We upgraded last week to version 3.3.1. Suddenlyt it stopped working. The app compiles and everything (it's using architech and getting the POI from a webservice). When running the app, no POIs being shown.

Downgrading to version 3.2.2, works again, meaning POIs being show. Any leads?


Hi Joanan,
Version 3.3.1 had some changes in the Module API. Did you adopt your existing application to these changes?
Do you know if the ARchitect World is loaded? You can find this out using the Safari Web Inspector.
Can you give us any more hints what exactly is not working anymore for you?

Best regards


Also interesting to know: For which platform are you developing (iOS, Android)?

Best regards


Hi Andreas, 

I am the developer of this App referred by Joanan on this Post.

We were using Wikitude 3.2.1 in Titanium for iOS and Android. We use Titanium 3.2.0/3.2.2 and 3.2.3 GA. It was working fine. When we updated to Wikitude 3.3.1 version, the HTML pages stored in our servers are not loaded. Our App is mainly based on LimitRange.js examples provided in your sample application. We have moved the ARWorld (index.html and js, images folder to our server) and we open them with the following call:

new ARchitectWindow( WikitudeLicenseKey, "").open({fullscreen:true}) // for iOS



new ARchitectWindow( WikitudeLicenseKey, "").open({fullscreen:true}); //for Android


When we access those pages thru Safari web browser with ADE activated the sites work well. However in the phone, none of these pages are loaded. Not even the "I" icon or Range button is displayed. It looks like index.html is not loaded nor processed and therefore none of the js or jsl files (marker, limitRange, radar) are loaded. 


I thought this version is backward compatible with previous version 3.2.1, but since your response about changes in Module API, what are the required changes in this case? 


By the way, we are using trial license from 3.2.1 and AR is loaded (wikitude icon appears and then goes to left-bottom side of the screen).


From iOS Xcode Console, the only log that I have related to this is as follow:


May  8 22:34:37 iPhone4 backboardd <Error>: HID: The 'Rate Controlled' connection 'ARViewer' access to protected services is denied.






Hi Flavio
Please have a look at our Titanium sample application, especially at ARchitectWindow.js and SamplesListWindow.js. As you can see there, the ARchitect World URL is not passed anymore in the constructor but instead to a new function called 'loadArchitectWorldFromURL'.

Snippet SamplesListWindow

            var ARchitectWindow = require('/ui/windows/ARchitectWindow');


            var architectWindow = new ARchitectWindow(WikitudeLicenseKey, "IrAndGeo");

            if (architectWindow.isDeviceSupported()) {



            } else {

                alert('not supported');


Snippet ARchitectWindow:


We changed the API from version 3.2.x to 3.3.x so please have a look at the two files mentioned before to see how the Wikitude Module can be used now. There is also a very simple example in the iOS Module included, showing you how you can load an ARchitect World within 5 lines of code.


Best regards


Thanks Adreas,

We'll take a look. We're also developing for Android, I think it will be the same procedure, right?


The general procedure is very similar, but there is a couple of android-specific features. Check our sample app to get an idea (look for "android" in the source code to find the relevant stuff).

The first two things to check:
- You have to activate a location service provider if your application needs location services.
- You have to handle the back button in your application (since Android has a back button and iOS doesn't)

Hi Andreas,

Thanks for your support and assistance. I was able to get this version 3.3.1 runing on iphone based on the proposed changes. Now wikitude loads our pages without problem. We'll continue our testing and let you know in case of any issue.

Thanks and regards,


Hello people,

While your suggestions made the app worked for iOS 7, on Android (KitKat and below) and iOS 6, the AR stoped working. As such, due to time and budget constrains, we'll keep on version 3.2 of Wikitude SDK.

Next time!


Login or Signup to post a comment